Bug 844363 - [rfe] system wide config file
[rfe] system wide config file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-nitrate (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Petr Šplíchal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 844370
  Show dependency treegraph
 
Reported: 2012-07-30 08:27 EDT by Martin Cermak
Modified: 2016-05-31 21:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 13:52:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Cermak 2012-07-30 08:27:17 EDT
Description of problem:

  Nitrate now takes its configuration from ~/.nitrate.

  Please, modify it so that it will try to read some system-wide config file.
  Settings from ~/.nitrate should override system-wide settings.

Suggested config file:

  /etc/nitrate.conf
Comment 1 Petr Šplíchal 2012-12-06 05:43:29 EST
Nice idea, thanks Martin. Implemented and pushed to git:
https://github.com/psss/python-nitrate/commit/7f11808
Comment 2 Fedora Update System 2012-12-10 07:41:57 EST
python-nitrate-0.9-0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.el6
Comment 3 Fedora Update System 2012-12-10 07:47:11 EST
python-nitrate-0.9-0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc16
Comment 4 Fedora Update System 2012-12-10 07:48:18 EST
python-nitrate-0.9-0.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc18
Comment 5 Fedora Update System 2012-12-10 07:48:58 EST
python-nitrate-0.9-0.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc17
Comment 6 Fedora Update System 2012-12-11 02:47:22 EST
python-nitrate-0.9-0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13721/python-nitrate-0.9-0.el6
Comment 7 Petr Šplíchal 2012-12-11 03:00:56 EST
Package python-nitrate-0.9-0.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-nitrate-0.9-0.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13721/python-nitrate-0.9-0.el6
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-12-19 03:32:52 EST
python-nitrate-0.9-0.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-12-19 03:43:31 EST
python-nitrate-0.9-0.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-01-07 13:52:36 EST
python-nitrate-0.9-0.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-01-11 20:10:00 EST
python-nitrate-0.9-0.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.